#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QList>
#include "rootclass.h"
#include "childclass.h"

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();
    //
    QList<RootClass*> RootClassList;

private slots:
    void on_pushButtonCreateRoot_clicked();

    void on_pushButtonCreateChild_clicked();

    void on_listWidgetRoot_currentRowChanged(int currentRow);

private:
    Ui::MainWindow *ui;
};

#endif // MAINWINDOW_H
